明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 1856|回复: 4

求助:块选择过滤问题

[复制链接]
发表于 2007-7-23 15:03:00 | 显示全部楼层 |阅读模式

On Error Resume Next
  Dim FilterSets As AcadSelectionSet
  If Not IsNull(FilterSets.Item("BlockRef")) Then
     Set FilterSets = ThisDrawing.SelectionSets.Item("BlockRef")
     FilterSets.Delete
  End If
  Set FilterSets = ThisDrawing.SelectionSets.Add("BlockRef")
  '创建过滤机制
    Dim fType(0) As Integer
    Dim fData(0) As Variant
    fType(0) = 0
    fData(0) = "BlockRef"
    '提示用户选择
    FilterSets.SelectOnScreen fType, fData

这是我设定的在屏幕上选取块的过滤条件,可是为什么选不中块呢,总是提示显示0个对象,请高手指教!谢谢

 楼主| 发表于 2007-7-23 15:56:00 | 显示全部楼层

fData(0) = "BlockRef"
问题主要出在这,谁能告诉我这个参数怎么设置吗?

发表于 2007-7-23 22:05:00 | 显示全部楼层

  Dim blockRefObj As AcadBlockReference
  Dim Sall As AcadSelectionSet
  Dim FilterType(0) As Integer
  Dim FilterData(0) As Variant
  Dim InsertionPnt(0 To 2) As Double
  FilterType(0) = 0
  FilterData(0) = "insert"

    '''''开始构造选择集
     Set Sall = acadDoc.SelectionSets.Add("SS1")
     Sall.Select acSelectionSetAll, , , FilterType, FilterData    ''''''找出选择集中的块属性

''''''具体操作过程

     Sall.Delete  ''''''释放选择集

 楼主| 发表于 2007-7-24 10:04:00 | 显示全部楼层

哈哈果然可以,牛人,谢谢,问题解决了,打死我也想不到会是"insert"

发表于 2007-7-25 09:58:00 | 显示全部楼层

噢,我也找怎么过滤只选择块,谢谢

您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-30 02:32 , Processed in 0.179097 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表